export const usePojmiStore = defineStore('pojmi', {
  state: () => ({
    pojmi: {}
  }),
  actions: {
    async naloziPojme() {
      const { jsonApiUrl, headers, deserialize } = useApi()

      const data = await $fetch(`${jsonApiUrl}/node/concept?sort=created`, { headers })
      this.pojmi = await deserialize(data, s => ({
        id: s.id,
        naslov: s.title,
        tekst: s.body ? s.body.processed : '',
        media: s.field_media
      }), 'naslov')
    },

    async ustvariPojem(data) {
      const { baseUrl, headers, deserialize } = useApi()

      const req = await $fetch(`${baseUrl}/api/pojem/dodaj`, {
        headers: {
          'Accept': 'application/json',
          'Content-Type': 'application/json'
        },
        method: "POST",
        body: JSON.stringify(data)
      })

      const resp = await req.json()
      console.log('nov pojem?', resp)
    }
  }
})
